Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion Class Reference

Base class for location gateways. More...

Inheritance diagram for eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion:

## Public Member Functions
| __construct (Gateway $innerGateway)
| Creates a new exception conversion gateway around $innerGateway. More...
| getBasicNodeData ($nodeId, array $translations=null, bool $useAlwaysAvailable=true)
| Returns an array with basic node data. More...
| getNodeDataList (array $locationIds, array $translations=null, bool $useAlwaysAvailable=true)
| Returns an array with node data for several locations. More...
| getBasicNodeDataByRemoteId ($remoteId, array $translations=null, bool $useAlwaysAvailable=true)
| Returns an array with basic node data for the node with $remoteId. More...
| loadLocationDataByContent ($contentId, $rootLocationId=null)
| Loads data for all Locations for $contentId, optionally only in the subtree starting at $rootLocationId. More...
| loadLocationDataByTrashContent (int $contentId, ?int $rootLocationId=null)
| Loads data for all Locations for $contentId in trash, optionally only in the subtree starting at $rootLocationId. More...
| loadParentLocationsDataForDraftContent ($contentId)
| Loads data for all parent Locations for unpublished Content by given $contentId. More...
| getSubtreeContent ($sourceId, $onlyIds=false)
| Find all content in the given subtree. More...
| getChildren ($locationId)
| Returns data for the first level children of the location identified by given $locationId. More...
| moveSubtreeNodes (array $fromPathString, array $toPathString)
| Update path strings to move nodes in the ezcontentobject_tree table. More...
| updateSubtreeModificationTime ($pathString, $timestamp=null)
| Updated subtree modification time for all nodes on path. More...
| updateNodeAssignment ($contentObjectId, $oldParent, $newParent, $opcode)
| Update node assignment table. More...
| createLocationsFromNodeAssignments ($contentId, $versionNo)
| Create locations from node assignments. More...
| updateLocationsContentVersionNo ($contentId, $versionNo)
| Updates all Locations of content identified with $contentId with $versionNo. More...
| hideSubtree ($pathString)
| Sets a location to be hidden, and it self + all children to invisible. More...
| unHideSubtree ($pathString)
| Sets a location to be unhidden, and self + children to visible unless a parent is hiding the tree. More...
| setNodeWithChildrenInvisible (string $pathString)
| setNodeHidden (string $pathString)
| setNodeWithChildrenVisible (string $pathString)
| setNodeUnhidden (string $pathString)
| swap (int $locationId1, int $locationId2)
| Swaps the content object being pointed to by a location object. More...
| create (CreateStruct $createStruct, array $parentNode)
| createNodeAssignment (CreateStruct $createStruct, $parentNodeId, $type=self::NODE_ASSIGNMENT_OP_CODE_CREATE_NOP)
| deleteNodeAssignment ($contentId, $versionNo=null)
| Deletes node assignment for given $contentId and $versionNo. More...
| update (UpdateStruct $location, $locationId)
| Updates an existing location. More...
| updatePathIdentificationString ($locationId, $parentLocationId, $text)
| Updates path identification string for given $locationId. More...
| removeLocation ($locationId)
| Deletes ezcontentobject_tree row for given $locationId (node_id). More...
| getFallbackMainNodeData ($contentId, $locationId)
| Returns id of the next in line node to be set as a new main node. More...
| trashLocation ($locationId)
| Sends a single location identified by given $locationId to the trash. More...
| untrashLocation ($locationId, $newParentId=null)
| Returns a trashed location to normal state. More...
| loadTrashByLocation ($locationId)
| Loads trash data specified by location ID. More...
| cleanupTrash ()
| Removes every entries in the trash. More...
| listTrashed ($offset, $limit, array $sort=null)
| Lists trashed items. More...
| countTrashed ()
| Count trashed items. More...
| removeElementFromTrash ($id)
| Removes trashed element identified by $id from trash. More...
| setSectionForSubtree ($pathString, $sectionId)
| Set section on all content objects in the subtree. More...
| countLocationsByContentId ($contentId)
| Returns how many locations given content object identified by $contentId has. More...
| changeMainLocation ($contentId, $locationId, $versionNo, $parentLocationId)
| Changes main location of content identified by given $contentId to location identified by given $locationId. More...
| countAllLocations ()
| Get the total number of all Locations, except the Root node. More...
| loadAllLocationsData ($offset, $limit)
| Load data of every Location, except the Root node. More...
Public Member Functions inherited from eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway
| create (CreateStruct $createStruct, array $parentNode)
| Creates a new location in given $parentNode. More...
| createNodeAssignment (CreateStruct $createStruct, $parentNodeId, $type=self::NODE_ASSIGNMENT_OP_CODE_CREATE_NOP)
| Create an entry in the node assignment table. More...

## Protected Attributes
| $innerGateway

## Additional Inherited Members
Public Attributes inherited from eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway
const | NODE_ASSIGNMENT_OP_CODE_NOP = 0
| Constants for node assignment op codes. More...
const | NODE_ASSIGNMENT_OP_CODE_EXECUTE = 1
const | NODE_ASSIGNMENT_OP_CODE_CREATE_NOP = 2
const | NODE_ASSIGNMENT_OP_CODE_CREATE = 3
const | NODE_ASSIGNMENT_OP_CODE_MOVE_NOP = 4
const | NODE_ASSIGNMENT_OP_CODE_MOVE = 5
const | NODE_ASSIGNMENT_OP_CODE_REMOVE_NOP = 6
const | NODE_ASSIGNMENT_OP_CODE_REMOVE = 7
const | NODE_ASSIGNMENT_OP_CODE_SET_NOP = 8
const | NODE_ASSIGNMENT_OP_CODE_SET = 9

## Detailed Description

Base class for location gateways.

Definition at line 19 of file Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion::__construct | ( | Gateway | $innerGateway | ) |

Creates a new exception conversion gateway around $innerGateway.

Parameters

  \eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway | $innerGateway |

Definition at line 33 of file Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php.

References eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\$innerGateway.

## Member Function Documentation

## ◆ changeMainLocation()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion::changeMainLocation | ( |  | $contentId,
|  |  | $locationId,
|  |  | $versionNo,
|  |  | $parentLocationId
| ) |  |

Changes main location of content identified by given $contentId to location identified by given $locationId.

Updates ezcontentobject_tree table for the given $contentId and eznode_assignment table for the given $contentId, $parentLocationId and $versionNo

Parameters

  mixed | $contentId |
  mixed | $locationId |
  mixed | $versionNo | version number, needed to update eznode_assignment table
  mixed | $parentLocationId | parent location of location identified by $locationId, needed to update eznode_assignment table

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway.

Definition at line 362 of file Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php.

References eZ\Publish\SPI\Persistence\Content\Location\$contentId.

## ◆ cleanupTrash()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion::cleanupTrash | ( |  | ) |

Removes every entries in the trash.

Will NOT remove associated content objects nor attributes.

Basically truncates ezcontentobject_trash table.

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway.

Definition at line 308 of file Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php.

## ◆ countAllLocations()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion::countAllLocations | ( |  | ) |

Get the total number of all Locations, except the Root node.

See also
  loadAllLocationsData

Returns
  int

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway.

Definition at line 371 of file Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php.

## ◆ countLocationsByContentId()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion::countLocationsByContentId | ( |  | $contentId | ) |

Returns how many locations given content object identified by $contentId has.

Parameters

  int | $contentId |

Returns
  int

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway.

Definition at line 353 of file Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php.

References eZ\Publish\SPI\Persistence\Content\Location\$contentId.

## ◆ countTrashed()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion::countTrashed | ( |  | ) |

Count trashed items.

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway.

Definition at line 326 of file Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php.

## ◆ create()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion::create | ( | CreateStruct | $createStruct,
|  | array | $parentNode
| ) |  |

Definition at line 218 of file Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php.

## ◆ createLocationsFromNodeAssignments()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion::createLocationsFromNodeAssignments | ( |  | $contentId,
|  |  | $versionNo
| ) |  |

Create locations from node assignments.

Convert existing node assignments into real locations.

Parameters

  mixed | $contentId |
  mixed | $versionNo |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway.

Definition at line 137 of file Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php.

References eZ\Publish\SPI\Persistence\Content\Location\$contentId.

## ◆ createNodeAssignment()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion::createNodeAssignment | ( | CreateStruct | $createStruct,
|  |  | $parentNodeId,
|  |  | $type = `self::NODE_ASSIGNMENT_OP_CODE_CREATE_NOP`
| ) |  |

Definition at line 227 of file Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php.

## ◆ deleteNodeAssignment()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion::deleteNodeAssignment | ( |  | $contentId,
|  |  | $versionNo = `null`
| ) |  |

Deletes node assignment for given $contentId and $versionNo.

Parameters

  int | $contentId |
  int | $versionNo |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway.

Definition at line 236 of file Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php.

References eZ\Publish\SPI\Persistence\Content\Location\$contentId.

## ◆ getBasicNodeData()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion::getBasicNodeData | ( |  | $nodeId,
|  | array | $translations = `null`,
|  | bool | $useAlwaysAvailable = `true`
| ) |  |

Returns an array with basic node data.

Exceptions

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway.

Definition at line 38 of file Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php.

## ◆ getBasicNodeDataByRemoteId()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion::getBasicNodeDataByRemoteId | ( |  | $remoteId,
|  | array | $translations = `null`,
|  | bool | $useAlwaysAvailable = `true`
| ) |  |

Returns an array with basic node data for the node with $remoteId.

Exceptions

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway.

Definition at line 56 of file Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php.

References eZ\Publish\SPI\Persistence\Content\Location\$remoteId.

## ◆ getChildren()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion::getChildren | ( |  | $locationId | ) |

Returns data for the first level children of the location identified by given $locationId.

Parameters

  mixed | $locationId |

Returns
  array

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway.

Definition at line 101 of file Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php.

## ◆ getFallbackMainNodeData()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion::getFallbackMainNodeData | ( |  | $contentId,
|  |  | $locationId
| ) |  |

Returns id of the next in line node to be set as a new main node.

This returns lowest node id for content identified by $contentId, and not of the node identified by given $locationId (current main node). Assumes that content has more than one location.

Parameters

  mixed | $contentId |
  mixed | $locationId |

Returns
  array

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway.

Definition at line 272 of file Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php.

References eZ\Publish\SPI\Persistence\Content\Location\$contentId.

## ◆ getNodeDataList()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion::getNodeDataList | ( | array | $locationIds,
|  | array | $translations = `null`,
|  | bool | $useAlwaysAvailable = `true`
| ) |  |

Returns an array with node data for several locations.

Parameters

  array | $locationIds |
  string[] | null | $translations |
  bool | $useAlwaysAvailable | Respect always available flag on content when filtering on $translations.

Returns
  array

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway.

Definition at line 47 of file Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php.

## ◆ getSubtreeContent()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion::getSubtreeContent | ( |  | $sourceId,
|  |  | $onlyIds = `false`
| ) |  |

Find all content in the given subtree.

Parameters

  mixed | $sourceId |
  bool | $onlyIds |

Returns
  array

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway.

Definition at line 92 of file Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php.

## ◆ hideSubtree()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion::hideSubtree | ( |  | $pathString | ) |

Sets a location to be hidden, and it self + all children to invisible.

Parameters

  string | $pathString |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway.

Definition at line 155 of file Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php.

References eZ\Publish\SPI\Persistence\Content\Location\$pathString.

## ◆ listTrashed()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion::listTrashed | ( |  | $offset,
|  |  | $limit,
|  | array | $sort = `null`
| ) |  |

Lists trashed items.

Returns entries from ezcontentobject_trash.

Parameters

  int | $offset |
  int | $limit |
  array | $sort |

Returns
  array

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway.

Definition at line 317 of file Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php.

## ◆ loadAllLocationsData()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion::loadAllLocationsData | ( |  | $offset,
|  |  | $limit
| ) |  |

Load data of every Location, except the Root node.

Parameters

  int | $offset | Paginator offset
  int | $limit | Paginator limit

Returns
  array

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway.

Definition at line 380 of file Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php.

## ◆ loadLocationDataByContent()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion::loadLocationDataByContent | ( |  | $contentId,
|  |  | $rootLocationId = `null`
| ) |  |

Loads data for all Locations for $contentId, optionally only in the subtree starting at $rootLocationId.

Parameters

  int | $contentId |
  int | null | $rootLocationId |

Returns
  array

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway.

Definition at line 65 of file Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php.

References eZ\Publish\SPI\Persistence\Content\Location\$contentId.

## ◆ loadLocationDataByTrashContent()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion::loadLocationDataByTrashContent | ( | int | $contentId,
|  | ?int | $rootLocationId = `null`
| ) |  |

Loads data for all Locations for $contentId in trash, optionally only in the subtree starting at $rootLocationId.

Returns
  string[]

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway.

Definition at line 74 of file Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php.

References eZ\Publish\SPI\Persistence\Content\Location\$contentId.

## ◆ loadParentLocationsDataForDraftContent()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion::loadParentLocationsDataForDraftContent | ( |  | $contentId | ) |

Loads data for all parent Locations for unpublished Content by given $contentId.

Parameters

  mixed | $contentId |

Returns
  array

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway.

Definition at line 83 of file Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php.

References eZ\Publish\SPI\Persistence\Content\Location\$contentId.

## ◆ loadTrashByLocation()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion::loadTrashByLocation | ( |  | $locationId | ) |

Loads trash data specified by location ID.

Parameters

  mixed | $locationId |

Returns
  array

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway.

Definition at line 299 of file Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php.

## ◆ moveSubtreeNodes()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion::moveSubtreeNodes | ( | array | $fromPathString,
|  | array | $toPathString
| ) |  |

Update path strings to move nodes in the ezcontentobject_tree table.

This query can likely be optimized to use some more advanced string operations, which then depend on the respective database.

Todo:
  optimize

Parameters

  array | $fromPathString |
  array | $toPathString |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway.

Definition at line 110 of file Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php.

## ◆ removeElementFromTrash()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion::removeElementFromTrash | ( |  | $id | ) |

Removes trashed element identified by $id from trash.

Will NOT remove associated content object nor attributes.

Parameters

  int | $id | The trashed location Id

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway.

Definition at line 335 of file Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php.

References eZ\Publish\SPI\Persistence\Content\Location\$id.

## ◆ removeLocation()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion::removeLocation | ( |  | $locationId | ) |

Deletes ezcontentobject_tree row for given $locationId (node_id).

Parameters

  mixed | $locationId |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway.

Definition at line 263 of file Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php.

## ◆ setNodeHidden()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion::setNodeHidden | ( | string | $pathString | ) |

Parameters

  string | $pathString |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway.

Definition at line 182 of file Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php.

References eZ\Publish\SPI\Persistence\Content\Location\$pathString.

## ◆ setNodeUnhidden()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion::setNodeUnhidden | ( | string | $pathString | ) |

Parameters

  string | $pathString |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway.

Definition at line 200 of file Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php.

References eZ\Publish\SPI\Persistence\Content\Location\$pathString.

## ◆ setNodeWithChildrenInvisible()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion::setNodeWithChildrenInvisible | ( | string | $pathString | ) |

Parameters

  string | $pathString |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway.

Definition at line 173 of file Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php.

References eZ\Publish\SPI\Persistence\Content\Location\$pathString.

## ◆ setNodeWithChildrenVisible()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion::setNodeWithChildrenVisible | ( | string | $pathString | ) |

Parameters

  string | $pathString |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway.

Definition at line 191 of file Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php.

References eZ\Publish\SPI\Persistence\Content\Location\$pathString.

## ◆ setSectionForSubtree()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion::setSectionForSubtree | ( |  | $pathString,
|  |  | $sectionId
| ) |  |

Set section on all content objects in the subtree.

Parameters

  mixed | $pathString |
  mixed | $sectionId |

Returns
  bool

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway.

Definition at line 344 of file Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php.

References eZ\Publish\SPI\Persistence\Content\Location\$pathString.

## ◆ swap()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion::swap | ( | int | $locationId1,
|  | int | $locationId2
| ) |  |

Swaps the content object being pointed to by a location object.

Make the location identified by $locationId1 refer to the Content referred to by $locationId2 and vice versa.

Parameters

  int | $locationId1 |
  int | $locationId2 |

Returns
  bool

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway.

Definition at line 209 of file Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php.

## ◆ trashLocation()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion::trashLocation | ( |  | $locationId | ) |

Sends a single location identified by given $locationId to the trash.

The associated content object is left untouched.

Parameters

  mixed | $locationId |

Returns
  bool

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway.

Definition at line 281 of file Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php.

## ◆ unHideSubtree()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion::unHideSubtree | ( |  | $pathString | ) |

Sets a location to be unhidden, and self + children to visible unless a parent is hiding the tree.

If not make sure only children down to first hidden node is marked visible.

Parameters

  string | $pathString |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway.

Definition at line 164 of file Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php.

References eZ\Publish\SPI\Persistence\Content\Location\$pathString.

## ◆ untrashLocation()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion::untrashLocation | ( |  | $locationId,
|  |  | $newParentId = `null`
| ) |  |

Returns a trashed location to normal state.

Recreates the originally trashed location in the new position. If no new position has been specified, it will be tried to re-create the location at the old position. If this is not possible ( because the old location does not exist any more) and exception is thrown.

Parameters

  mixed | $locationId |
  mixed | $newParentId |

Returns
  \eZ\Publish\SPI\Persistence\Content\Location

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway.

Definition at line 290 of file Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php.

## ◆ update()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion::update | ( | UpdateStruct | $location,
|  |  | $locationId
| ) |  |

Updates an existing location.

Will not throw anything if location id is invalid or no entries are affected.

Parameters

  \eZ\Publish\SPI\Persistence\Content\Location\UpdateStruct | $location |
  int | $locationId |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway.

Definition at line 245 of file Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php.

## ◆ updateLocationsContentVersionNo()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion::updateLocationsContentVersionNo | ( |  | $contentId,
|  |  | $versionNo
| ) |  |

Updates all Locations of content identified with $contentId with $versionNo.

Parameters

  mixed | $contentId |
  mixed | $versionNo |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway.

Definition at line 146 of file Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php.

References eZ\Publish\SPI\Persistence\Content\Location\$contentId.

## ◆ updateNodeAssignment()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion::updateNodeAssignment | ( |  | $contentObjectId,
|  |  | $oldParent,
|  |  | $newParent,
|  |  | $opcode
| ) |  |

Update node assignment table.

Parameters

  int | $contentObjectId |
  int | $oldParent |
  int | $newParent |
  int | $opcode |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway.

Definition at line 128 of file Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php.

## ◆ updatePathIdentificationString()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion::updatePathIdentificationString | ( |  | $locationId,
|  |  | $parentLocationId,
|  |  | $text
| ) |  |

Updates path identification string for given $locationId.

Parameters

  mixed | $locationId |
  mixed | $parentLocationId |
  string | $text |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway.

Definition at line 254 of file Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php.

## ◆ updateSubtreeModificationTime()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion::updateSubtreeModificationTime | ( |  | $pathString,
|  |  | $timestamp = `null`
| ) |  |

Updated subtree modification time for all nodes on path.

Deprecated:
  Not supposed to be in use anymore.

Parameters

  string | $pathString |
  int | null | $timestamp |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway.

Definition at line 119 of file Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php.

References eZ\Publish\SPI\Persistence\Content\Location\$pathString.

## Member Data Documentation

## ◆ $innerGateway

eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion::$innerGateway
| protected

Definition at line 26 of file Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\ExceptionConversion\__construct().

The documentation for this class was generated from the following file:

- Persistence/Legacy/Content/Location/Gateway/ExceptionConversion.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.